QGIS Application - Feature request #9530
Show coordinated as grid codes
2014-02-10 09:33 AM - Geoff Owen

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 18119
Description

| create all my projects and add new layers using the 'EPSG:27700 OSGB 1936 British National Grid CRS'".
This currently gives numeric values which although not a problem would be nice if one could display it in alpha numeric format.

History

#1 - 2014-02-11 01:46 AM - Leyan Ouyang

What do you mean by alphanumeric format? Can you give an example of what you want to display?

#2 - 2014-02-12 01:20 PM - Geoff Owen
- File British_National_Grid.jpg added

Hello Leyan.
Thanks for query.

I will try to explain what | want to display but first will need to explain how the grid reference system (British National Grid) for Great Britain works.

Please refer to attached pic.

Here we go.

1 Great Britain is divided into a series of 100KM X 100KM grid squares.

2 Each square has a 2 digit number and pair of letters.

3 For example :- Grid square SJ is numbered 33.

4 Lets imagine you want to quote a grid reference for the southwest corner of grid square SJ.
5 This can be quoted 2 ways :- SJ 000,000 OR 3000,3000.

6 The same applies to any other grid square.

7 For example, the southwest corner of grid square SP could be quoted as SP 000,000 OR
4000,2000.

Currently QGIS will only display co ordinates in numeric format but it would be nice to have the option for displaying alpha numeric format.
Hope this makes sense.

If not | will try again.

Regards

Geoff

#3 - 2014-02-13 11:17 AM - Giovanni Manghi
- OS version deleted (XP and higher)

- Status changed from Open to Feedback

- Operating System deleted (Windows)

Geoff Owen wrote:
Hello Leyan.

Thanks for query.

1 will try to explain what | want to display but first will need to explain how the grid reference system (British National Grid) for Great Britain works.
Please refer to attached pic.

Here we go.

1 Great Biritain is divided into a series of 100KM X 100KM grid squares.

2 Each square has a 2 digit number and pair of letters.

3 For example :- Grid square SJ is numbered 33.

4 Lets imagine you want to quote a grid reference for the southwest corner of grid square SJ.

5 This can be quoted 2 ways - SJ 000,000 OR 3000,3000.

6 The same applies to any other grid square.

7 For example, the southwest corner of grid square SP could be quoted as SP 000,000 OR

4000,2000.

Currently QGIS will only display co ordinates in numeric format but it would be nice to have the option for displaying alpha numeric format.
Hope this makes sense.

If not 1 will try again.

Regards

Geoff

Where those "coordinates" should appear, in the layout composer? in the canvas?

#4 - 2014-02-14 02:10 AM - Geoff Owen
- File 2_Map_Composer.jpg added
- File 1_Map_Canvas.jpg added

Hello

Coordinates appear in canvas view at bottom of screen.(Please see attached screen shot 1).
Coordinates also appear in composer if | add a grid. (Please see attached screen shot 2).
On both attached pics, coordinates for the red marker is located at '400913, 300124".
Taking the first digit of each coordinate gives the number 43.

Number 43 is grid square 'SK' when using the British National Grid.

So using the British National Grid, coordinates for the red marker could also be quoted as
'SK 00913, 00124'.

Hope this makes sense.

Regards

Geoff

#5 - 2014-02-15 04:13 AM - Giovanni Manghi
- Subject changed from Co Ordinate Reference System to Show coordinated as grid codes
- Target version changed from Future Release - Nice to have to Future Release - Lower Priority

Geoff Owen wrote:

Hello

Coordinates appear in canvas view at bottom of screen.(Please see attached screen shot 1).
Coordinates also appear in composer if | add a grid. (Please see attached screen shot 2).
On both attached pics, coordinates for the red marker is located at ‘400913, 300124".

Taking the first digit of each coordinate gives the number 43.
Number 43 is grid square 'SK' when using the British National Grid.

So using the British National Grid, coordinates for the red marker could also be quoted as
'SK 00913, 00124".

Hope this makes sense.

Regards

Geoff

while it seems it can be useful for a specific use case, it don't don't know if/how this can be generalized in order to work for any user. This functionality
seems best fitted for a plugin, don't you think?

#6 - 2014-02-15 10:45 AM - Geoff Owen

Hello Giovanni.

Thanks for getting involved.

| think my suggestion would be useful but only for a very few users.

Must agree with you that perhaps a plug in would be the best solution.

| know nothing about writing plug ins but maybe this would be a good chance to attempt writing my first plug in.
Many Thanks

Geoff

#7 - 2014-02-16 04:37 AM - Giovanni Manghi
- Resolution set to wontfix

- Status changed from Feedback to Closed

Geoff Owen wrote:

Hello Giovanni.

Thanks for getting involved.

I think my suggestion would be useful but only for a very few users.
Must agree with you that perhaps a plug in would be the best solution.

I know nothing about writing plug ins but maybe this would be a good chance to attempt writing my first plug in.

so don't get me wrong if | close this ticket. Maybe I'm missing some point on how this suggestion can be useful for any Q(GIS) user and eventually a
developer will reopen this. Meanwhile if you need you can ask for help about the plugin in the users/developers mailing list or contact one of the many

companies that offer commercial support http://qgis.org/de/site/forusers/commercial_support.html

cheers!

#8 - 2014-02-16 08:46 AM - Geoff Owen

Giovanni

Thanks for your interest in this.

No bother you closing this ticket.

Plenty more QGIS stuff for you to get involved with.
Thanks for the suggestions.

Maybe | will be able to write my first plug in.

Many Regards
Geoff
